Get yield breakdown for the account type
curl --request GET \
--url https://{host}/extern/fe/yield \
--header 'Authorization: Bearer <token>' \
--header 'X-Publishable-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Publishable-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://{host}/extern/fe/yield', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/fe/yield"
headers = {
"X-Publishable-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "<string>",
"data": {
"accountTypeId": "<string>",
"yieldBreakdown": [
{
"chainId": 123,
"vaultAddress": "<string>",
"breakdown": {
"base": 123,
"positions": [
123
]
},
"summary": {
"theoreticalOverall": 123,
"theoreticalBoosted": 123,
"pctInVault": 123,
"pctDeployed": 123
},
"heldAssets": [
{
"address": "<string>",
"symbol": "<string>",
"chainId": 123
}
]
}
]
}
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}Get yield breakdown for the account type
GET
/
extern
/
fe
/
yield
Get yield breakdown for the account type
curl --request GET \
--url https://{host}/extern/fe/yield \
--header 'Authorization: Bearer <token>' \
--header 'X-Publishable-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Publishable-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://{host}/extern/fe/yield', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/fe/yield"
headers = {
"X-Publishable-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "<string>",
"data": {
"accountTypeId": "<string>",
"yieldBreakdown": [
{
"chainId": 123,
"vaultAddress": "<string>",
"breakdown": {
"base": 123,
"positions": [
123
]
},
"summary": {
"theoreticalOverall": 123,
"theoreticalBoosted": 123,
"pctInVault": 123,
"pctDeployed": 123
},
"heldAssets": [
{
"address": "<string>",
"symbol": "<string>",
"chainId": 123
}
]
}
]
}
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}{
"status": "<string>",
"message": "<string>"
}Last modified on July 3, 2026
Was this page helpful?
⌘I